Requirements for Custom Plugins

Custom Apache Cordova plugins are not supported in the simulator and in the Cordova developer app.

If the Apache Cordova version for your app is not supported by the plugin, you might not be able to build and run your app.

Before importing a custom Apache Cordova plugin into AppBuilder and building an app with it, verify that the plugin meets the following requirements.

  • The plugin is Apache Cordova Plugman-compatible. For more information about Apache Cordova Plugman, see Apache Cordova Plugman.
  • The plugin contains a plugin.xml manifest which complies with the plugin.xml manifest format. For more information about plugin.xml, see plugin.xml Manifest Format.
    AppBuilder requires plugin.xml to build your app. AppBuilder does not require this file when you import the plugin and you can add it later.
  • File paths to plugin resources in plugin.xml are relative to the root directory of the plugin. For example: src/android/filename.java or src/ios/filename.h.
  • The plugin is compatible with the target Apache Cordova version for your app.
    The <engines> element in the markup of plugin.xml lists the Apache Cordova versions supported by the plugin. You can check the target Apache Cordova version for your app in the app properties.

For easier development, verify that the plugin meets the following recommendations.

  • The plugin is packaged in a ZIP, RAR or 7z archive.

See Also

Start a free trial Request a demo
Contact us: +1-888-365-2779
sales@telerik.com
Copyright © 2016-2017, Progress Software Corporation and/or its subsidiaries or affiliates. All rights reserved.